## pristine-tar 0.8

=== Makefile ===
zgz: zgz.c
	gcc -Wall -O2 -lz -o zgz zgz.c

clean:
	rm -f zgz

=== debian/changelog ===
pristine-tar (0.8) unstable; urgency=low

  * If a tarball contains files all in one subdirectory, and the source
    tree it's being generated from already has that subdirectory, don't
    try to create the subdir, which would fail. OTOH, if the subdirectory
    isn't there, proceed with creating it as before.
  * Add support for bz2 files (Cyril Brulebois)
  * Recommends bzip2 and pbzip2, which both might be needed when dealing
    with bz2 files due to differences in their output.

 -- Joey Hess <joeyh@debian.org>  Sat, 02 Feb 2008 17:28:17 -0500

pristine-tar (0.7) unstable; urgency=low

  * Improve/fix handling when there is no local pristine-tar branch.
  * Add a newline to the .id files committed to git.

 -- Joey Hess <joeyh@debian.org>  Fri, 01 Feb 2008 22:13:06 -0500

pristine-tar (0.6) unstable; urgency=low

  * Improve search for upstream branch. Default to looking for first
    refs/heads/upstream, and failing that, anything with "upstream" in its
    name. This way if there is a local upstream branch and a remote one, it
    will use the local one. If there's only a remote one, it'll use that.
    Closes: #463566
  * Handle the case where there is no local pristine-tar branch. If there
    is exactly one remote branch, use it for checkout. If more than one or
    none, show a nice error message. (Cyril Brulebois)

 -- Joey Hess <joeyh@debian.org>  Fri, 01 Feb 2008 21:35:37 -0500

pristine-tar (0.5) unstable; urgency=low

  * Moved to git, and added a Vcs-Browser field.
  * pristine-tar can now "commit" deltas for a tarball directly to a git
    branch, and then "checkout" the original tarball again. Git users
    are recommended to use these new subcommands because they're easier,
    store the deltas in a consistent location, and avoid problems with
    recreating things like empty directories that git doesn't track.
    Closes: #463352
  * Thanks to madcoder for help with manipulating git branches without
    touching the working copy.
  * Fix paranoia check in pristine-gz to correctly handle parameters
    that take an option.

 -- Joey Hess <joeyh@debian.org>  Thu, 31 Jan 2008 21:52:45 -0500

pristine-tar (0.4) unstable; urgency=low

  * Allow the delta file to be read or written from stdio.
  * Fix man page synopses formatting.

 -- Joey Hess <joeyh@debian.org>  Sat, 24 Nov 2007 16:45:04 -0500

pristine-tar (0.3) unstable; urgency=low

  * pristine-tar sometimes got confused about tarballs that did not unpack
    all files into a subdir. Fixes sear-media and 30 others.
  * tar was confused by files starting with ./ or / in the manifest, so
    strip it out. Fixes erlang-doc-html and 19 others, including doc-fdc,
    which is the only package to have files in / in its tarball.
  * Some tarballs put files in a subdir, but don't show a "/" after the subdir
    name in a manifest. Stop relying on that. (example: streamtuner)
  
  Current stats: Out of the whole debian archive, pristine-gz fails
  on 132 files, and pristine-tar fails on 0. Success with 98.97% of
  files.

 -- Joey Hess <joeyh@debian.org>  Wed, 03 Oct 2007 00:07:54 -0400

pristine-tar (0.2) unstable; urgency=low

  * Added pristine-gz, thanks to paravoid for making this possible!
  * Added zgz, which is derived from a BSD gzip program that uses libz.
    Modified by paravoid to support many options needed to reproduce gz
    files.
  * Renamed the subcommands extract => gentar , stash => gendelta
  * Quite a lot of testing (ie, on the entire Debian archive) and bugfixes.
  * Put files in the generated tarball mode 0644 pre-delta, this is a much
    more likely file mode than the previous 0000 and thus makes the delta
    smaller.
  * File format version is up to 2.0 due to misc incompatible changes.
  * Fix a bug related to tar's handling of unicode filenames.
  * Work around a strange tar behavior: When run with --mode 644, tar
    preserves the sgid bit on subdirectories.

  Current stats: Out of the whole debian archive, pristine-gz fails
  on 131 files, and pristine-tar fails on 45. Success with 98.63% of
  files.

 -- Joey Hess <joeyh@debian.org>  Tue, 02 Oct 2007 21:51:03 -0400

pristine-tar (0.1) unstable; urgency=low

  * First release.

 -- Joey Hess <joeyh@debian.org>  Sun, 30 Sep 2007 20:06:00 -0400

=== debian/control ===
Source: pristine-tar
Section: utils
Priority: optional
Build-Depends: debhelper (>= 5), dpkg-dev (>= 1.9.0), zlib1g-dev
Maintainer: Joey Hess <joeyh@debian.org>
Standards-Version: 3.7.3
Vcs-Git: git://git.kitenet.net/pristine-tar/
Vcs-Browser: http://git.kitenet.net/?p=pristine-tar
Homepage: http://kitenet.net/~joey/code/pristine-tar/

Package: pristine-tar
Architecture: any
Section: utils
Depends: xdelta, ${shlibs:Depends}, ${misc:Depends}, perl-modules
Recommends: pbzip2, bzip2
Description: regenerate pristine tarballs
 pristine-tar can regenerate a pristine upstream tarball using only a small
 binary delta file and a revision control checkout of the upstream branch.
 .
 The package also includes a pristine-gz command, which can regenerate a
 pristine .gz file.
 .
 The delta file is designed to be checked into revision control along-side
 the upstream branch, thus allowing Debian packages to be built entirely
 using sources in revision control, without the need to keep copies of
 upstream tarballs.

=== debian/rules ===
#!/usr/bin/make -f

build:
	$(MAKE)
	pod2man -c pristine-tar pristine-tar > pristine-tar.1
	pod2man -c pristine-gz  pristine-gz  > pristine-gz.1
	pod2man -c pristine-bz2 pristine-bz2 > pristine-bz2.1
	pod2man -c zgz zgz.pod > zgz.1

clean:
	dh_testdir
	dh_testroot
	$(MAKE) clean
	dh_clean pristine-tar.1 pristine-gz.1 pristine-bz2.1 zgz.1

binary-indep: build

binary-arch: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_install pristine-tar pristine-gz pristine-bz2 zgz usr/bin
	dh_installdocs TODO delta-format.txt
	dh_installman *.1
	dh_installchangelogs
	dh_compress
	dh_strip
	dh_fixperms
	dh_perl
	dh_shlibdeps
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary

## pristine-tar 0.15

=== Makefile ===
build: zgz
	pod2man -c pristine-tar pristine-tar > pristine-tar.1
	pod2man -c pristine-gz  pristine-gz  > pristine-gz.1
	pod2man -c pristine-bz2 pristine-bz2 > pristine-bz2.1
	pod2man -c zgz zgz.pod > zgz.1

zgz: zgz.c
	gcc -Wall -O2 -lz -o zgz zgz.c

install:
	install -d $(DESTDIR)/usr/bin
	install -d $(DESTDIR)/usr/share/man/man1
	install pristine-tar pristine-gz pristine-bz2 zgz $(DESTDIR)/usr/bin
	install -m 0644 *.1 $(DESTDIR)/usr/share/man/man1

clean:
	rm -f zgz *.1

=== debian/changelog ===
pristine-tar (0.15) unstable; urgency=low

  * Fix POD issues. Closes: #484165
  * zgz: Remove support for a GZIP env variable. We don't need this in
    pristine-tar, and if could screw things up if a user set it.
    Closes: #488986

 -- Joey Hess <joeyh@debian.org>  Wed, 02 Jul 2008 12:46:41 -0400

pristine-tar (0.14) unstable; urgency=low

  * Use debhelper v7; rules file minimisation.
  * Add build and install targets to Makefile.
  * Put in a workaround for bug #479317, an incompatability in perl 5.10
    that causes nonzero exit if a program exits while chdired into a
    subdirectory of a File::Temp temp directory.

 -- Joey Hess <joeyh@debian.org>  Sun, 04 May 2008 14:47:06 -0400

pristine-tar (0.13) unstable; urgency=low

  * Man page typo fix. Closes: #475698

 -- Joey Hess <joeyh@debian.org>  Sat, 19 Apr 2008 16:51:09 -0400

pristine-tar (0.12) unstable; urgency=low

  * pristine-tar: Fix some bugs when run on an uncompressed tarball.

 -- Joey Hess <joeyh@debian.org>  Wed, 02 Apr 2008 13:14:45 -0400

pristine-tar (0.11) unstable; urgency=low

  * Unset $keep, don't keep temp dirs. Oops.

 -- Joey Hess <joeyh@debian.org>  Fri, 21 Mar 2008 14:50:21 -0400

pristine-tar (0.10) unstable; urgency=low

  * pristine-tar: Add -m option to specify a commit message. Closes: #465231

 -- Joey Hess <joeyh@debian.org>  Mon, 10 Mar 2008 15:56:05 -0400

pristine-tar (0.9) unstable; urgency=low

  * Add smart branching for commits. (Cyril Brulebois)
  * Prefer to commit to the ref that exactly matches what is specified at the
    command line.
  * Send all debug and verbose prints to stderr, reserving stdout for
    outputting deltas etc.
  * pristine-tar commit was not generating deltas against the specified
    upstream branch, but against the unpacked contents of the source tarball.
    Fix it to use the upstream branch, ensuring that no matter what branch is
    given, the delta that is created can always recreate the source tarball.

 -- Joey Hess <joeyh@debian.org>  Wed, 06 Feb 2008 14:31:29 -0500

## pristine-tar 0.17

=== debian/changelog ===
pristine-tar (0.17) unstable; urgency=low

  * Correct -f order to come after --gnu.

 -- Joey Hess <joeyh@debian.org>  Fri, 04 Jul 2008 14:46:30 -0400

pristine-tar (0.16) unstable; urgency=low

  * pristine-gz: Always pass -f to zgz, to support cases where
    the gzip header claims that the original input file had an extension
    that suggests it was itself already compressed. (Although it can't really
    be.) Not doing the same for gzip because -f doesn't cause it to ignore
    extensions. See #475778

 -- Joey Hess <joeyh@debian.org>  Fri, 04 Jul 2008 14:29:54 -0400

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: pristine-tar
 Section: utils
 Priority: optional
-Build-Depends: debhelper (>= 5), dpkg-dev (>= 1.9.0), zlib1g-dev
+Build-Depends: debhelper (>= 7), dpkg-dev (>= 1.9.0), zlib1g-dev
 Maintainer: Joey Hess <joeyh@debian.org>
-Standards-Version: 3.7.3
+Standards-Version: 3.8.0
 Vcs-Git: git://git.kitenet.net/pristine-tar/
 Vcs-Browser: http://git.kitenet.net/?p=pristine-tar
 Homepage: http://kitenet.net/~joey/code/pristine-tar/

## pristine-tar 0.21

=== Makefile ===
build: zgz/zgz
	pod2man -c pristine-tar pristine-tar > pristine-tar.1
	pod2man -c pristine-gz  pristine-gz  > pristine-gz.1
	pod2man -c pristine-bz2 pristine-bz2 > pristine-bz2.1
	pod2man -c zgz zgz.pod > zgz.1

ZGZ_SOURCES = zgz/zgz.c zgz/bits.c zgz/deflate.c zgz/gzip.c zgz/trees.c zgz/util.c
zgz/zgz: $(ZGZ_SOURCES) zgz/gzip.h
	gcc -Wall -O2 -lz -o $@ $(ZGZ_SOURCES)

install:
	install -d $(DESTDIR)/usr/bin
	install -d $(DESTDIR)/usr/share/man/man1
	install pristine-tar pristine-gz pristine-bz2 zgz/zgz $(DESTDIR)/usr/bin
	install -m 0644 *.1 $(DESTDIR)/usr/share/man/man1

clean:
	rm -f zgz/zgz *.1

=== debian/changelog ===
pristine-tar (0.21) unstable; urgency=low

  * Add support for GIT_DIR. Closes: #512619

 -- Joey Hess <joeyh@debian.org>  Thu, 22 Jan 2009 15:07:33 -0500

pristine-tar (0.20) unstable; urgency=low

  * Avoid littering .orig.tar.gz.tmp files around by building intermediate
    tarball in the temp dir. Closes: #508965

 -- Joey Hess <joeyh@debian.org>  Mon, 29 Dec 2008 15:34:12 -0500

pristine-tar (0.19) unstable; urgency=low

  [ Josh Triplett ]
  * Add a .gitignore file
  * Various cleanups to zgz.
  * Remove the unnecessary -l, -S, -t, and -v flags from zgz.
  * Allow the empty string as an original filename in zgz, rather than
    treating the empty string as a flag to not store an original filename.
  * Fix zgz's usage message to stop identifying the program as gzip.
  * Add a new -T,--timestamp flag to zgz, to explicitly set the timestamp
    stored in the gzip file, rather than taking the timestamp of the input
    file. Closes: #507110

  [ Joey Hess ]
  * zgz: Avoid using uninitialized data as timestamp in -c mode.
    Closes: #507095
  * Document existing long options. Closes: #499488
  * Avoid exposing tar file names to the shell. Closes: #500499
  * Clarify bit in man page about what file formats are supported.
    Closes: #507322

  [ Josh Triplett ]
  * zgz: Incorporate a cut-down version of GNU gzip to support the --gnu
    option.  The cut-down gzip includes support for explicitly setting the
    timestamp and original filename. Closes: #506627
  * pristine-gz: Now that zgz supports explicitly setting the timestamp and
    original filename with both --zlib and --gnu, use that support to do all
    compression using -c with standard input and standard output.  This
    removes the need to create a temporary file with the original filename and
    set its timestamp, as well as the need to continuously recreate the file
    when compressed and removed. Closes: #506627
  * zgz: Remove support for files, making -c the default.  This removes a lot
    of complexity and code duplication.

 -- Joey Hess <joeyh@debian.org>  Fri, 12 Dec 2008 16:12:27 -0500

pristine-tar (0.18) unstable; urgency=low

  * pristine-gz: Avoid uncompressing the original file more than once.
    Closes: #506490 

 -- Joey Hess <joeyh@debian.org>  Sat, 22 Nov 2008 18:22:40 -0500

## pristine-tar 1.00~hardy1

=== debian/changelog ===
pristine-tar (1.00~hardy1) hardy-backports; urgency=low

  * Automated backport upload; no source changes.

 -- Scott Kitterman <ubuntu@kitterman.com>  Sat, 25 Jul 2009 18:26:49 +0100

pristine-tar (1.00) unstable; urgency=low

  * pristine-gz: Fall back to storing a binary delta, in the rare
    cases where the file cannot be 100% reproduced. A warning message
    is printed if the binary delta is not relatively small.
  * Allows generating quite small deltas for php-geoip,
    xsupplicant, libgraphics-colornames-perl,
    Ricoh-Aficio_2020D-Postscript.ppd.gz, and dozens on others
    that zgz can closely replicate. Closes: #518972, #506874
  * For other things the deltas are not as small.
    This seems an accepable tradeoff to be able to reliably use it on
    anything. Closes: #475778, #509703, #509707, #515256, #515331
  * Increase gz delta version number to 3.0 if a binary delta file
    is included.
  * pristine-tar: Avoid dying in corner case involving tar's filename
    encoding. Fixes several failures.
  * pristine-tar: Avoid dying if tar tv exits nonzero. This makes
    reproducing star's tarball work, even though tar gets upset
    while listing it and decides to die at the end.
  * pristine-gz: Avoid passing -F to zgz if --original-name
    is passed. This bug prevented pristine-gz gengz from
    recreating the gz in some cases. 
  * Add aliases ci and co for commit and checkout. Closes: #500388
  * pristine-gz: Fix generation of gz files that have a null filename field.
  * pristine-tar: Fix behavior in the corner case where the tarball
    puts all files in a subdir, but does not contain the subdir's directory
    entry.

  Stats: Successfully generates deltas for all 14446 tarballs in the
  Debian archive. Mean delta size: 19K  Median: 2.6K  Mode: 1.5K

 -- Joey Hess <joeyh@debian.org>  Tue, 14 Apr 2009 21:23:22 -0400

pristine-tar (0.22) unstable; urgency=low

  * Fix syntax mistake that could cause pristine-tar to in some cases
    fail on tarballs containing files named "0". Closes: #523773

 -- Joey Hess <joeyh@debian.org>  Sun, 12 Apr 2009 13:20:04 -0400

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Build-Depends: debhelper (>= 7), dpkg-dev (>= 1.9.0), zlib1g-dev
 Maintainer: Joey Hess <joeyh@debian.org>
-Standards-Version: 3.8.0
+Standards-Version: 3.8.1
 Vcs-Git: git://git.kitenet.net/pristine-tar/
 Vcs-Browser: http://git.kitenet.net/?p=pristine-tar
 Homepage: http://kitenet.net/~joey/code/pristine-tar/

## pristine-tar 1.00~intrepid1

=== debian/changelog ===
pristine-tar (1.00~intrepid1) intrepid-backports; urgency=low

  * Automated backport upload; no source changes.

 -- Scott Kitterman <ubuntu@kitterman.com>  Sat, 25 Jul 2009 18:27:05 +0100

## pristine-tar 1.00~jaunty1

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-build: zgz/zgz
+build: zgz/zgz pristine-tar.spec
 	pod2man -c pristine-tar pristine-tar > pristine-tar.1
 	pod2man -c pristine-gz  pristine-gz  > pristine-gz.1
 	pod2man -c pristine-bz2 pristine-bz2 > pristine-bz2.1
@@ -14,5 +14,10 @@
 	install pristine-tar pristine-gz pristine-bz2 zgz/zgz $(DESTDIR)/usr/bin
 	install -m 0644 *.1 $(DESTDIR)/usr/share/man/man1
 
-clean:
+clean: pristine-tar.spec
 	rm -f zgz/zgz *.1
+
+pristine-tar.spec:
+	sed -i "s/Version:.*/Version: $$(perl -e '$$_=<>;print m/\((.*?)\)/'<debian/changelog)/" pristine-tar.spec
+
+.PHONY: pristine-tar.spec

=== debian/changelog ===
pristine-tar (1.00~jaunty1) jaunty-backports; urgency=low

  * Automated backport upload; no source changes.

 -- Scott Kitterman <ubuntu@kitterman.com>  Sat, 25 Jul 2009 18:27:19 +0100

## pristine-tar 1.03

=== Makefile ===
--- 
+++ 
@@ -4,7 +4,8 @@
 	pod2man -c pristine-bz2 pristine-bz2 > pristine-bz2.1
 	pod2man -c zgz zgz.pod > zgz.1
 
-ZGZ_SOURCES = zgz/zgz.c zgz/bits.c zgz/deflate.c zgz/gzip.c zgz/trees.c zgz/util.c
+ZGZ_SOURCES = zgz/zgz.c zgz/bits.c zgz/deflate.c zgz/gzip.c zgz/trees.c zgz/util.c \
+	      zgz/old-bzip2/*.c
 zgz/zgz: $(ZGZ_SOURCES) zgz/gzip.h
 	gcc -Wall -O2 -lz -o $@ $(ZGZ_SOURCES)

=== debian/changelog ===
pristine-tar (1.03) unstable; urgency=low

  * zgz now includes a trimmed down copy of the compressor from bzip2 0.9.5d.
    That old version of bzip2 generated different compression results,
    and is the overwhelming reason for failures to reproduce bz2 files
    in the Debian archive. Closes: #560170, #579657, #525128, #576119
    (Special thanks to Laszlo Ersek for tracking this down.)
  * Awesome new zgz man page!
  * Faster generation of bzip2 deltas: Do not repeatedly decompress
    input file.
  * pristine-bz2 -t can be used to make it try harder to generate
    a delta. Currently, this tries pbzip2 -b with various numbers.
    Not the default because it's slow and I don't have any bzip2 files
    from the wild that were built that way.

 -- Joey Hess <joeyh@debian.org>  Thu, 13 May 2010 02:19:32 -0400

pristine-tar (1.01) unstable; urgency=low

  * Use italics in man pages to highlight which parts of command
    lines are file names. Closes: #561015
  * Added an example. Closes: #561016
  * Document TMPDIR in man pages. Closes: #558266

 -- Joey Hess <joeyh@debian.org>  Fri, 05 Feb 2010 16:41:07 -0500

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Build-Depends: debhelper (>= 7), dpkg-dev (>= 1.9.0), zlib1g-dev
 Maintainer: Joey Hess <joeyh@debian.org>
-Standards-Version: 3.8.1
+Standards-Version: 3.8.4
 Vcs-Git: git://git.kitenet.net/pristine-tar/
 Vcs-Browser: http://git.kitenet.net/?p=pristine-tar
 Homepage: http://kitenet.net/~joey/code/pristine-tar/
@@ -18,7 +18,7 @@
  binary delta file and a revision control checkout of the upstream branch.
  .
  The package also includes a pristine-gz command, which can regenerate a
- pristine .gz file.
+ pristine .gz file, and a pristine-bz2 for .bz2 files.
  .
  The delta file is designed to be checked into revision control along-side
  the upstream branch, thus allowing Debian packages to be built entirely

## pristine-tar 1.03ubuntu1

=== debian/changelog ===
pristine-tar (1.03ubuntu1) maverick-proposed; urgency=low

  * pristine-tar: Backport upstream commits 5eedd9b and a7bf9dc from
    upstream (also in Natty) to take advantage of changed longlink support
    in Maverick's tar version 1.23-2ubuntu1. (LP: #702412)

 -- Iain Lane <laney@ubuntu.com>  Thu, 13 Jan 2011 15:03:23 +0000

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,8 @@
 Section: utils
 Priority: optional
 Build-Depends: debhelper (>= 7), dpkg-dev (>= 1.9.0), zlib1g-dev
-Maintainer: Joey Hess <joeyh@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Joey Hess <joeyh@debian.org>
 Standards-Version: 3.8.4
 Vcs-Git: git://git.kitenet.net/pristine-tar/
 Vcs-Browser: http://git.kitenet.net/?p=pristine-tar

## pristine-tar 1.12

=== debian/changelog ===
pristine-tar (1.12) unstable; urgency=low

  * Fix gzg building with --as-needed. Closes: #604030

 -- Joey Hess <joeyh@debian.org>  Sun, 06 Feb 2011 00:01:18 -0400

pristine-tar (1.11) unstable; urgency=low

  * Add workaround for Debian's tar changing its output for tarballs
    containing filenames exactly 100 bytes long. Closes: #602907
    (Needs tar 1.25-2 with #603231 fixed in order for that to work.)

 -- Joey Hess <joeyh@debian.org>  Fri, 12 Nov 2010 10:25:46 -0400

pristine-tar (1.10) unstable; urgency=low

  * pristine-gz gengz: Bugfix: Always remove uncompressed input file.
  * Large refactoring and modularization. (Thanks Gabriel de Perthuis
    for inspiration for this.))
  * Remove environment variables used by tar, gz, and bzip2, to avoid
    local environment settings possibly breaking things.
    Closes: #498760 (probably; thanks Ralph Lange for analysis)
  * Lintian fixes.

 -- Joey Hess <joeyh@debian.org>  Thu, 19 Aug 2010 16:36:25 -0400

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: pristine-tar
 Section: utils
 Priority: optional
-Build-Depends: debhelper (>= 7), dpkg-dev (>= 1.9.0), zlib1g-dev
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Joey Hess <joeyh@debian.org>
-Standards-Version: 3.8.4
+Build-Depends: debhelper (>= 7.0.50), dpkg-dev (>= 1.9.0), zlib1g-dev, perl
+Maintainer: Joey Hess <joeyh@debian.org>
+Standards-Version: 3.9.1
 Vcs-Git: git://git.kitenet.net/pristine-tar/
 Vcs-Browser: http://git.kitenet.net/?p=pristine-tar
 Homepage: http://kitenet.net/~joey/code/pristine-tar/

## pristine-tar 1.14

=== debian/changelog ===
pristine-tar (1.14) unstable; urgency=low

  * Add support for gzip --rsyncable output produced by gzip 1.4.
    This differs from prior --rsyncable output, which was made by a Debian
    specific patch and used a different rsync window size, and reset
    huffman encodings less often.
  * Clarify man page.

 -- Joey Hess <joeyh@debian.org>  Sat, 06 Aug 2011 21:05:15 -0400

pristine-tar (1.13) unstable; urgency=low

  [ Faidon Liambotis ]
  * Add a Perl quirks mode for tarballs generated by Perl's IO::Zlib, which
    is used among other things by Module::Build. Closes: #618284

 -- Joey Hess <joeyh@debian.org>  Tue, 15 Mar 2011 00:11:24 -0400

## pristine-tar 1.15

=== debian/changelog ===
pristine-tar (1.15) unstable; urgency=low

  * Fix Vcs-Browser url. Closes: #636926
  * Propigate nonzero exit status from doit_redir. Closes: #600724
  * 'pristine-tar list' displays a list of tarballs that are available for
    checkout.

 -- Joey Hess <joeyh@debian.org>  Sat, 08 Oct 2011 17:53:03 -0400

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Maintainer: Joey Hess <joeyh@debian.org>
 Standards-Version: 3.9.1
 Vcs-Git: git://git.kitenet.net/pristine-tar/
-Vcs-Browser: http://git.kitenet.net/?p=pristine-tar
+Vcs-Browser: http://git.kitenet.net/?p=pristine-tar.git
 Homepage: http://kitenet.net/~joey/code/pristine-tar/
 
 Package: pristine-tar

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@

override_dh_auto_configure:
	# keeps it out of /usr/local
	dh_auto_configure -- PREFIX=/usr

override_dh_auto_clean:
	# distclean moans about MANIFEST, this is quieter
	if [ -e Makefile ]; then $(MAKE) realclean; fi

## pristine-tar 1.17

=== debian/changelog ===
pristine-tar (1.17) unstable; urgency=low

  * pristine-tar: Fail when the delta is excessively large, probably
    due to the tarball being compressed with something that tar x can 
    auto-extract, but that pristine-tar does not support.

 -- Joey Hess <joeyh@debian.org>  Mon, 09 Jan 2012 11:44:44 -0400

pristine-tar (1.16) unstable; urgency=low

  * pristine-bz2: Can recreate bz2 files greated by Suse's
    patched bzip2. Closes: #641019

 -- Joey Hess <joeyh@debian.org>  Wed, 04 Jan 2012 21:44:23 -0400

## pristine-tar 1.18

=== debian/changelog ===
pristine-tar (1.18) unstable; urgency=low

  * pristine-xz: A simplistic xz recreator.
    Current success rate on the Debian corpus: 70%.
    Closes: #499489

 -- Joey Hess <joeyh@debian.org>  Tue, 31 Jan 2012 16:13:35 -0400

## pristine-tar 1.19

=== debian/changelog ===
pristine-tar (1.19) unstable; urgency=low

  * Fix duplicate function oops.

 -- Joey Hess <joeyh@debian.org>  Wed, 01 Feb 2012 11:00:43 -0400

=== debian/control ===
--- 
+++ 
@@ -12,13 +12,14 @@
 Architecture: any
 Section: utils
 Depends: xdelta, ${shlibs:Depends}, ${misc:Depends}, perl-modules
-Recommends: pbzip2, bzip2
+Recommends: pbzip2, bzip2, xz-utils
 Description: regenerate pristine tarballs
  pristine-tar can regenerate a pristine upstream tarball using only a small
  binary delta file and a revision control checkout of the upstream branch.
  .
  The package also includes a pristine-gz command, which can regenerate a
- pristine .gz file, and a pristine-bz2 for .bz2 files.
+ pristine .gz file, a pristine-bz2 for .bz2 files, and a pristine-xz for .xz
+ files.
  .
  The delta file is designed to be checked into revision control along-side
  the upstream branch, thus allowing Debian packages to be built entirely

## pristine-tar 1.20

=== debian/changelog ===
pristine-tar (1.20) unstable; urgency=low

  * pristine-xz: Try --extreme too. While my corpus has no such xz files,
    Darren Salt points out that automake 1.11.2 has started using
    extreme mode. Closes: #658666

 -- Joey Hess <joeyh@debian.org>  Sun, 12 Feb 2012 14:23:48 -0400

## pristine-tar 1.20ubuntu1

=== debian/changelog ===
pristine-tar (1.20ubuntu1) precise-proposed; urgency=low

  * pristine-xz: Add --check={none,crc32,crc64,sha256}, --block-list and
    compression levels 0 and 0e. (LP: #1218197)

 -- Shih-Yuan Lee (FourDollars) <sylee@ubuntu.com>  Thu, 29 Aug 2013 14:05:16 +0800

## pristine-tar 1.22

=== debian/changelog ===
pristine-tar (1.22) unstable; urgency=low

  * Store the sha1 of the tree that is being committed, rather than
    a sha1 of a commit or other object that points to the tree.
    This makes committed tarballs more resilient against git filter-branch
    when it's only used to change commit metadata. Closes: #467288

 -- Joey Hess <joeyh@debian.org>  Sun, 11 Mar 2012 18:49:12 -0400

pristine-tar (1.21) unstable; urgency=low

  * Fix bug in mtime resetting code, which caused delta files to be created
    that failed to regenerate the original tarball. Closes: #661902

 -- Joey Hess <joeyh@debian.org>  Fri, 02 Mar 2012 14:57:11 -0400

## pristine-tar 1.25

=== debian/changelog ===
pristine-tar (1.25) unstable; urgency=low

  * Remove unused fts.h include. Closes: #675367
  * pristine-xz: Add --check=sha256 and compression levels 0 and 0e.
    Closes: #677241 Thanks, Vincent Ladeuil

 -- Joey Hess <joeyh@debian.org>  Tue, 12 Jun 2012 11:45:33 -0400

pristine-tar (1.24) unstable; urgency=low

  * pristine-xz: Add --check=crc32 to list of allowed parameters.

 -- Joey Hess <joeyh@debian.org>  Sun, 01 Apr 2012 12:21:24 -0400

pristine-tar (1.23) unstable; urgency=low

  * Detect git submodules procuded by recent git, where .git is a file,
    not a directory. Closes: #666033
  * pristine-xz: Handle CRC32 files made with PylibLZMA. Thanks, Mike Miller
    Closes: #662129, #660783

 -- Joey Hess <joeyh@debian.org>  Sat, 31 Mar 2012 19:00:49 -0400

## pristine-tar 1.25+deb7u1

=== pit/suse-bzip2/Makefile ===
# ------------------------------------------------------------------
# This file is part of bzip2/libbzip2, a program and library for
# lossless, block-sorting data compression.
#
# bzip2/libbzip2 version 1.0.6 of 6 September 2010
# Copyright (C) 1996-2010 Julian Seward <jseward@bzip.org>
#
# Please read the WARNING, DISCLAIMER and PATENTS sections in the 
# README file.
#
# This program is released under the terms of the license contained
# in the file LICENSE.
# ------------------------------------------------------------------

somajor=1.0
sominor=$(somajor).4
SHELL=/bin/sh

# To assist in cross-compiling
CC=gcc
AR=ar
RANLIB=ranlib
LDFLAGS=

BIGFILES=-D_FILE_OFFSET_BITS=64
CFLAGS=-Wall -Winline -O2 -g $(BIGFILES) $(DEBCFLAGS)

# Where you want it installed when you do 'make install'
PREFIX=/usr/local


OBJS= blocksort.o  \
      huffman.o    \
      crctable.o   \
      randtable.o  \
      compress.o   \
      decompress.o \
      bzlib.o

all: libbz2.a bzip2

bzip2: libbz2.so bzip2.o
	$(CC) $(CFLAGS) $(LDFLAGS) -o bzip2 bzip2.o -L. -lbz2

bzip2recover: bzip2recover.o
	$(CC) $(CFLAGS) $(LDFLAGS) -o bzip2recover bzip2recover.o

libbz2.a: $(OBJS)
	rm -f libbz2.a
	$(AR) cq libbz2.a $(OBJS)
	@if ( test -f $(RANLIB) || test -f /usr/bin/ranlib || \
		test -f /bin/ranlib || test -f /usr/ccs/bin/ranlib ) ; then \
		echo $(RANLIB) libbz2.a ; \
		$(RANLIB) libbz2.a ; \
	fi

libbz2.so: libbz2.so.$(somajor)
	ln -sf $^ $@

libbz2.so.$(somajor): libbz2.so.$(sominor)
	ln -sf $^ $@

libbz2.so.$(sominor): $(OBJS:%.o=%.sho)
	$(CC) -o libbz2.so.$(sominor) -shared \
	  -Wl,-soname,libbz2.so.$(somajor) $^ -lc

%.sho: %.c
	$(CC) $(CFLAGS) -D_REENTRANT -fPIC -o $@ -c $<

%.o: %.c
	$(CC) $(CFLAGS) -D_REENTRANT -o $@ -c $<

check: test
test: bzip2
	@cat words1
	LD_LIBRARY_PATH=.:$$LD_LIBRARY_PATH \
	./bzip2 -1  < sample1.ref > sample1.rb2
	LD_LIBRARY_PATH=.:$$LD_LIBRARY_PATH \
	./bzip2 -2  < sample2.ref > sample2.rb2
	LD_LIBRARY_PATH=.:$$LD_LIBRARY_PATH \
	./bzip2 -3  < sample3.ref > sample3.rb2
	LD_LIBRARY_PATH=.:$$LD_LIBRARY_PATH \
	./bzip2 -d  < sample1.bz2 > sample1.tst
	LD_LIBRARY_PATH=.:$$LD_LIBRARY_PATH \
	./bzip2 -d  < sample2.bz2 > sample2.tst
	LD_LIBRARY_PATH=.:$$LD_LIBRARY_PATH \
	./bzip2 -ds < sample3.bz2 > sample3.tst
	cmp sample1.bz2 sample1.rb2 
	cmp sample2.bz2 sample2.rb2
	cmp sample3.bz2 sample3.rb2
	cmp sample1.tst sample1.ref
	cmp sample2.tst sample2.ref
	cmp sample3.tst sample3.ref
	@cat words3

install: bzip2 bzip2recover libbz2.a
	if ( test ! -d $(PREFIX)/bin ) ; then mkdir -p $(PREFIX)/bin ; fi
	if ( test ! -d $(PREFIX)/lib ) ; then mkdir -p $(PREFIX)/lib ; fi
	if ( test ! -d $(PREFIX)/man ) ; then mkdir -p $(PREFIX)/man ; fi
	if ( test ! -d $(PREFIX)/man/man1 ) ; then mkdir -p $(PREFIX)/man/man1 ; fi
	if ( test ! -d $(PREFIX)/include ) ; then mkdir -p $(PREFIX)/include ; fi
	cp -f bzip2 $(PREFIX)/bin/bzip2
	ln $(PREFIX)/bin/bzip2 $(PREFIX)/bin/bunzip2
	ln $(PREFIX)/bin/bzip2 $(PREFIX)/bin/bzcat
	cp -f bzip2recover $(PREFIX)/bin/bzip2recover
	chmod a+x $(PREFIX)/bin/bzip2
	chmod a+x $(PREFIX)/bin/bunzip2
	chmod a+x $(PREFIX)/bin/bzcat
	chmod a+x $(PREFIX)/bin/bzip2recover
	cp -f bzip2.1 $(PREFIX)/man/man1
	chmod a+r $(PREFIX)/man/man1/bzip2.1
	cp -f bzlib.h $(PREFIX)/include
	chmod a+r $(PREFIX)/include/bzlib.h
	cp -fa libbz2.a libbz2.so* $(PREFIX)/lib
	chmod a+r $(PREFIX)/lib/libbz2.a
	cp -f bzexe $(PREFIX)/bin/bzexe
	chmod a+x $(PREFIX)/bin/bzexe
	cp -f bzgrep $(PREFIX)/bin/bzgrep
	ln -s -f $(PREFIX)/bin/bzgrep $(PREFIX)/bin/bzegrep
	ln -s -f $(PREFIX)/bin/bzgrep $(PREFIX)/bin/bzfgrep
	chmod a+x $(PREFIX)/bin/bzgrep
	cp -f bzmore $(PREFIX)/bin/bzmore
	ln -s -f $(PREFIX)/bin/bzmore $(PREFIX)/bin/bzless
	chmod a+x $(PREFIX)/bin/bzmore
	cp -f bzdiff $(PREFIX)/bin/bzdiff
	ln -s -f $(PREFIX)/bin/bzdiff $(PREFIX)/bin/bzcmp
	chmod a+x $(PREFIX)/bin/bzdiff
	cp -f bzexe.1 bzgrep.1 bzmore.1 bzdiff.1 $(PREFIX)/man/man1
	chmod a+r $(PREFIX)/man/man1/bzexe.1
	chmod a+r $(PREFIX)/man/man1/bzgrep.1
	chmod a+r $(PREFIX)/man/man1/bzmore.1
	chmod a+r $(PREFIX)/man/man1/bzdiff.1
	echo ".so man1/bzgrep.1" > $(PREFIX)/man/man1/bzegrep.1
	echo ".so man1/bzgrep.1" > $(PREFIX)/man/man1/bzfgrep.1
	echo ".so man1/bzmore.1" > $(PREFIX)/man/man1/bzless.1
	echo ".so man1/bzdiff.1" > $(PREFIX)/man/man1/bzcmp.1

clean: 
	rm -f *.o *.sho libbz2.a libbz2.so* bzip2 bzip2recover \
	sample1.rb2 sample2.rb2 sample3.rb2 \
	sample1.tst sample2.tst sample3.tst


distclean: clean
	#rm -f manual.ps manual.html manual.pdf

DISTNAME=bzip2-1.0.6
dist: check manual
	rm -f $(DISTNAME)
	ln -s -f . $(DISTNAME)
	tar cvf $(DISTNAME).tar \
	   $(DISTNAME)/blocksort.c \
	   $(DISTNAME)/huffman.c \
	   $(DISTNAME)/crctable.c \
	   $(DISTNAME)/randtable.c \
	   $(DISTNAME)/compress.c \
	   $(DISTNAME)/decompress.c \
	   $(DISTNAME)/bzlib.c \
	   $(DISTNAME)/bzip2.c \
	   $(DISTNAME)/bzip2recover.c \
	   $(DISTNAME)/bzlib.h \
	   $(DISTNAME)/bzlib_private.h \
	   $(DISTNAME)/Makefile \
	   $(DISTNAME)/LICENSE \
	   $(DISTNAME)/bzip2.1 \
	   $(DISTNAME)/bzip2.1.preformatted \
	   $(DISTNAME)/bzip2.txt \
	   $(DISTNAME)/words0 \
	   $(DISTNAME)/words1 \
	   $(DISTNAME)/words2 \
	   $(DISTNAME)/words3 \
	   $(DISTNAME)/sample1.ref \
	   $(DISTNAME)/sample2.ref \
	   $(DISTNAME)/sample3.ref \
	   $(DISTNAME)/sample1.bz2 \
	   $(DISTNAME)/sample2.bz2 \
	   $(DISTNAME)/sample3.bz2 \
	   $(DISTNAME)/dlltest.c \
	   $(DISTNAME)/manual.html \
	   $(DISTNAME)/manual.pdf \
	   $(DISTNAME)/manual.ps \
	   $(DISTNAME)/README \
	   $(DISTNAME)/README.COMPILATION.PROBLEMS \
	   $(DISTNAME)/README.XML.STUFF \
	   $(DISTNAME)/CHANGES \
	   $(DISTNAME)/libbz2.def \
	   $(DISTNAME)/libbz2.dsp \
	   $(DISTNAME)/dlltest.dsp \
	   $(DISTNAME)/makefile.msc \
	   $(DISTNAME)/unzcrash.c \
	   $(DISTNAME)/spewG.c \
	   $(DISTNAME)/mk251.c \
	   $(DISTNAME)/bzdiff \
	   $(DISTNAME)/bzdiff.1 \
	   $(DISTNAME)/bzmore \
	   $(DISTNAME)/bzmore.1 \
	   $(DISTNAME)/bzexe \
	   $(DISTNAME)/bzexe.1 \
	   $(DISTNAME)/bzgrep \
	   $(DISTNAME)/bzgrep.1 \
	   $(DISTNAME)/Makefile-libbz2_so \
	   $(DISTNAME)/bz-common.xsl \
	   $(DISTNAME)/bz-fo.xsl \
	   $(DISTNAME)/bz-html.xsl \
	   $(DISTNAME)/bzip.css \
	   $(DISTNAME)/entities.xml \
	   $(DISTNAME)/manual.xml \
	   $(DISTNAME)/format.pl \
	   $(DISTNAME)/xmlproc.sh
	gzip -v $(DISTNAME).tar

# For rebuilding the manual from sources on my SuSE 9.1 box

MANUAL_SRCS= 	bz-common.xsl bz-fo.xsl bz-html.xsl bzip.css \
		entities.xml manual.xml 

manual: manual.html manual.ps manual.pdf

manual.ps: $(MANUAL_SRCS)
	./xmlproc.sh -ps manual.xml

manual.pdf: $(MANUAL_SRCS)
	./xmlproc.sh -pdf manual.xml

manual.html: $(MANUAL_SRCS)
	./xmlproc.sh -html manual.xml

=== debian/changelog ===
pristine-tar (1.25+deb7u1) wheezy; urgency=low

  * Non-maintainer upload with maintainer approval.
  * pristine-xz: Update list of allowed parameters for wheezy to support files
    created with newer versions (in jessie and sid). Closes: #707820

 -- Ivo De Decker <ivo.dedecker@ugent.be>  Sat, 01 Jun 2013 12:22:22 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Build-Depends: debhelper (>= 7.0.50), dpkg-dev (>= 1.9.0), zlib1g-dev, perl
 Maintainer: Joey Hess <joeyh@debian.org>
-Standards-Version: 3.9.1
+Standards-Version: 3.9.3
 Vcs-Git: git://git.kitenet.net/pristine-tar/
 Vcs-Browser: http://git.kitenet.net/?p=pristine-tar.git
 Homepage: http://kitenet.net/~joey/code/pristine-tar/

=== debian/rules ===
--- 
+++ 
@@ -9,3 +9,7 @@
 override_dh_auto_clean:
 	# distclean moans about MANIFEST, this is quieter
 	if [ -e Makefile ]; then $(MAKE) realclean; fi
+
+override_dh_makeshlibs:
+	# only contains private libraries
+

## pristine-tar 1.26

=== debian/changelog ===
pristine-tar (1.26) unstable; urgency=low

  * pristine-xz: Use xz --robot to extract information from xz files,
    avoiding the need to do more expensive guessing. Support --block-list
    when available to reproduce multi block files.
    Closes: #677250 Thanks, Vincent Ladeuil

 -- Joey Hess <joeyh@debian.org>  Sat, 25 Aug 2012 11:54:46 -0400

## pristine-tar 1.30

=== debian/changelog ===
pristine-tar (1.30) unstable; urgency=low

  * Set GIT_WORK_TREE when committing to make it work when inside
    a git submodule. Thanks, Victor Vasiliev. Closes: #726007
  * Work around change in longlink fields in tar 1.27,
    and depend on version -3 which adds PRISTINE_TAR_COMPAT.
    Closes: #726963

 -- Joey Hess <joeyh@debian.org>  Sun, 03 Nov 2013 13:33:22 -0400

pristine-tar (1.29) unstable; urgency=low

  * Fix display of unsupported param when paranoia check fails.
    Closes: #707820
  * pristine-tar: If recreating the tarball fails, try telling
    tar to generate a gnu or posix format tarball. This may
    have been the default format used by tar when the delta file
    was originally generated.
    Thanks, Markus Lehtonen.
  * Improve handling of escaped characters in filenames listed by
    tar -t. Closes: #719078
    Thanks, Chow Loong Jin

 -- Joey Hess <joeyh@debian.org>  Mon, 26 Aug 2013 11:54:08 -0400

pristine-tar (1.28) unstable; urgency=low

  * Update lintian overrides.

 -- Joey Hess <joeyh@debian.org>  Sun, 05 May 2013 01:45:27 -0400

pristine-tar (1.27) unstable; urgency=low

  * Now ported to Mac OS X.
    - MakeFile.PL fixes
    - zgz: Use DYLD_LIBRARY_PATH on OSX instead of LD_LIBRARY_PATH
    - suse-bzip2/Makefile: compile shared library appropriately on OSX
    - INSTALL: Added some options useful when installing on OSX
    Thanks, Torsten Maehne and Philipp A. Hartmann.
  * zgz: Don't hardcode /lib, avoid segfaulting when installed in a
    > 128 character path.
    Thanks, Colin Walters
  * Fix typo that led to incorrect error message when pristine-tar
    branch does not exist. Closes: #700448 Thanks, paul cannon

 -- Joey Hess <joeyh@debian.org>  Sat, 04 May 2013 23:50:40 -0400

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: pristine-tar
 Section: utils
 Priority: optional
-Build-Depends: debhelper (>= 7.0.50), dpkg-dev (>= 1.9.0), zlib1g-dev, perl
+Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.9.0), zlib1g-dev, perl
 Maintainer: Joey Hess <joeyh@debian.org>
 Standards-Version: 3.9.3
 Vcs-Git: git://git.kitenet.net/pristine-tar/
@@ -11,7 +11,7 @@
 Package: pristine-tar
 Architecture: any
 Section: utils
-Depends: xdelta, ${shlibs:Depends}, ${misc:Depends}, perl-modules
+Depends: xdelta, ${shlibs:Depends}, ${misc:Depends}, perl-modules, tar (>= 1.27-3)
 Recommends: pbzip2, bzip2, xz-utils
 Description: regenerate pristine tarballs
  pristine-tar can regenerate a pristine upstream tarball using only a small

## pristine-tar 1.32

=== debian/changelog ===
pristine-tar (1.32) unstable; urgency=medium

  * Orphaned the package.

 -- Joey Hess <joeyh@debian.org>  Tue, 27 May 2014 16:00:42 -0400

pristine-tar (1.31) unstable; urgency=medium

  * Build on Hurd without needing PATH_MAX defined. Closes: #738670
    Thanks, Svante Signell

 -- Joey Hess <joeyh@debian.org>  Wed, 23 Apr 2014 14:01:03 -0400

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: utils
 Priority: optional
 Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.9.0), zlib1g-dev, perl
-Maintainer: Joey Hess <joeyh@debian.org>
-Standards-Version: 3.9.3
+Maintainer: Debian QA Group <packages@qa.debian.org>
+Standards-Version: 3.9.5
 Vcs-Git: git://git.kitenet.net/pristine-tar/
 Vcs-Browser: http://git.kitenet.net/?p=pristine-tar.git
 Homepage: http://kitenet.net/~joey/code/pristine-tar/

## pristine-tar 1.33

=== pit/suse-bzip2/Makefile ===
--- 
+++ 
@@ -16,6 +16,10 @@
 sominor=$(somajor).4
 SHELL=/bin/sh
 
+# Determine the operating system name to decide whether to build a
+# shared object library libbz2.so or a dynamic library libbz2.dylib.
+UNAME_S := $(shell uname -s)
+
 # To assist in cross-compiling
 CC=gcc
 AR=ar
@@ -39,7 +43,20 @@
 
 all: libbz2.a bzip2
 
-bzip2: libbz2.so bzip2.o
+ifeq ("$(UNAME_S)","Darwin")
+soext=dylib
+soext_major=$(somajor).$(soext)
+soext_minor=$(sominor).$(soext)
+LDDLFLAGS=-dynamiclib \
+          -Wl,-headerpad_max_install_names,-undefined,dynamic_lookup,-compatibility_version,$(somajor),-current_version,$(sominor),-install_name,$(PREFIX)/lib/pristine-tar/suse-bzip2/libbz2.$(soext_minor)
+else
+soext=so
+soext_major=$(soext).$(somajor)
+soext_minor=$(soext).$(sominor)
+LDDLFLAGS=-shared -Wl,-soname,libbz2.$(soext_major)
+endif
+
+bzip2: libbz2.$(soext) bzip2.o
 	$(CC) $(CFLAGS) $(LDFLAGS) -o bzip2 bzip2.o -L. -lbz2
 
 bzip2recover: bzip2recover.o
@@ -54,15 +71,14 @@
 		$(RANLIB) libbz2.a ; \
 	fi
 
-libbz2.so: libbz2.so.$(somajor)
-	ln -sf $^ $@
-
-libbz2.so.$(somajor): libbz2.so.$(sominor)
-	ln -sf $^ $@
-
-libbz2.so.$(sominor): $(OBJS:%.o=%.sho)
-	$(CC) -o libbz2.so.$(sominor) -shared \
-	  -Wl,-soname,libbz2.so.$(somajor) $^ -lc
+libbz2.$(soext): libbz2.$(soext_major)
+	ln -sf $< $@
+
+libbz2.$(soext_major): libbz2.$(soext_minor)
+	ln -sf $< $@
+
+libbz2.$(soext_minor): $(OBJS:%.o=%.sho)
+	$(CC)  $(LDDLFLAGS) -o $@ $^ -lc
 
 %.sho: %.c
 	$(CC) $(CFLAGS) -D_REENTRANT -fPIC -o $@ -c $<
@@ -71,19 +87,28 @@
 	$(CC) $(CFLAGS) -D_REENTRANT -o $@ -c $<
 
 check: test
+
+ifeq ("${UNAME_S}", "Darwin")
+# On Mac OS X, $DYLD_LIBRARY_PATH needs to be set to test libbz2.dylib.
+LD_PATH_VAR=DYLD_LIBRARY_PATH
+else
+# On all other (Unix-like) systems, set $LD_LIBRARY_PATH to test libbz2.so.
+LD_PATH_VAR=LD_LIBRARY_PATH
+endif
+
 test: bzip2
 	@cat words1
-	LD_LIBRARY_PATH=.:$$LD_LIBRARY_PATH \
+	$(LD_PATH_VAR)=.:$$$(LD_PATH_VAR) \
 	./bzip2 -1  < sample1.ref > sample1.rb2
-	LD_LIBRARY_PATH=.:$$LD_LIBRARY_PATH \
+	$(LD_PATH_VAR)=.:$$$(LD_PATH_VAR) \
 	./bzip2 -2  < sample2.ref > sample2.rb2
-	LD_LIBRARY_PATH=.:$$LD_LIBRARY_PATH \
+	$(LD_PATH_VAR)=.:$$$(LD_PATH_VAR) \
 	./bzip2 -3  < sample3.ref > sample3.rb2
-	LD_LIBRARY_PATH=.:$$LD_LIBRARY_PATH \
+	$(LD_PATH_VAR)=.:$$$(LD_PATH_VAR) \
 	./bzip2 -d  < sample1.bz2 > sample1.tst
-	LD_LIBRARY_PATH=.:$$LD_LIBRARY_PATH \
+	$(LD_PATH_VAR)=.:$$$(LD_PATH_VAR) \
 	./bzip2 -d  < sample2.bz2 > sample2.tst
-	LD_LIBRARY_PATH=.:$$LD_LIBRARY_PATH \
+	$(LD_PATH_VAR)=.:$$$(LD_PATH_VAR) \
 	./bzip2 -ds < sample3.bz2 > sample3.tst
 	cmp sample1.bz2 sample1.rb2 
 	cmp sample2.bz2 sample2.rb2
@@ -136,9 +161,10 @@
 	echo ".so man1/bzdiff.1" > $(PREFIX)/man/man1/bzcmp.1
 
 clean: 
-	rm -f *.o *.sho libbz2.a libbz2.so* bzip2 bzip2recover \
-	sample1.rb2 sample2.rb2 sample3.rb2 \
-	sample1.tst sample2.tst sample3.tst
+	rm -f *.o *.sho libbz2.a libbz2.so* libbz2.*.dylib \
+	      bzip2 bzip2recover \
+	      sample1.rb2 sample2.rb2 sample3.rb2 \
+	      sample1.tst sample2.tst sample3.tst
 
 
 distclean: clean

=== debian/changelog ===
pristine-tar (1.33) unstable; urgency=medium

  * QA upload.
  * Fix "depend on perl instead of perl-modules":
    debian/control: update Depends to use ${perl:Depends} which gets expanded
    to 'perl' by dh_perl.
    (Closes: #779116)

 -- gregor herrmann <gregoa@debian.org>  Wed, 25 Feb 2015 20:50:23 +0100

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
 Package: pristine-tar
 Architecture: any
 Section: utils
-Depends: xdelta, ${shlibs:Depends}, ${misc:Depends}, perl-modules, tar (>= 1.27-3)
+Depends: xdelta, ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}, tar (>= 1.27-3)
 Recommends: pbzip2, bzip2, xz-utils
 Description: regenerate pristine tarballs
  pristine-tar can regenerate a pristine upstream tarball using only a small

## pristine-tar 1.34

=== debian/changelog ===
pristine-tar (1.34) unstable; urgency=medium

  * New maintainer (Closes: #737871)
  * pristine-tar.spec: bump version number
  * Add tests for very basic usage. These can be run during the build and
    under autopkgtest
    - Added build dependencies on shunit2, git, and xdelta
  * Makefile.PL: make build idempotent
  * debian/control:
    - Remove duplicated Section field in binary package
    - Switch Vcs-* fields to collab-maint repository
    - Bump Standard-Version to 3.9.8; no changes needed
  * Add missing debian/source/format
  * debian/copyright: fix wildcard for pit/suse-bzip2/
  * Build with hardening flags
  * zgz/zgz.pod: fix typo

 -- Antonio Terceiro <terceiro@debian.org>  Sat, 21 May 2016 13:49:53 -0300

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,15 @@
 Source: pristine-tar
 Section: utils
 Priority: optional
-Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.9.0), zlib1g-dev, perl
-Maintainer: Debian QA Group <packages@qa.debian.org>
-Standards-Version: 3.9.5
-Vcs-Git: git://git.kitenet.net/pristine-tar/
-Vcs-Browser: http://git.kitenet.net/?p=pristine-tar.git
+Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.9.0), zlib1g-dev, perl, shunit2, git, xdelta
+Maintainer: Antonio Terceiro <terceiro@debian.org>
+Standards-Version: 3.9.8
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/pristine-tar.git
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/pristine-tar.git
 Homepage: http://kitenet.net/~joey/code/pristine-tar/
 
 Package: pristine-tar
 Architecture: any
-Section: utils
 Depends: xdelta, ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}, tar (>= 1.27-3)
 Recommends: pbzip2, bzip2, xz-utils
 Description: regenerate pristine tarballs

=== debian/tests/control ===
Test-Command: perl test.pl 2>&1
Depends: @, shunit2, git
Restrictions: needs-recommends

## pristine-tar 1.35

=== debian/changelog ===
pristine-tar (1.35-tizen20161231) unstable; urgency=low

  * Version bump to 1.35
  * Fix xdelta upgrade to xdelta3 but left pristine-gz
  * Add debian ignore and packaging ignore in .gbp.conf

 -- SoonKyu Park <sk7.park@samsung.com>  Sat, 31 Dec 2016 19:30:00 +0200

pristine-tar (1.34-tizen20160517) unstable; urgency=low

  * Version bump to 1.34
  * upgrade xdelta to xdelta3 to solve max file bigger than 2g.

 -- Zhang Yang <y0169.zhang@samsung.com>  Tue, 17 May 2016 16:36:00 +0800

pristine-tar (1.33-tizen20150212) unstable; urgency=low

  * Version bump to 1.33

 -- Rong Jinhui <jinhui.rong@samsung.com>  Tue, 13 Oct 2015 15:39:04 +0800

pristine-tar (1.32-tizen20150212) unstable; urgency=low

  * rpm packaging: allow any version of tar

 -- Markus Lehtonen <markus.lehtonen@linux.intel.com>  Thu, 12 Feb 2015 12:10:39 +0200

pristine-tar (1.32-tizen20140915) unstable; urgency=low

  [ Markus Lehtonen ]
  * Version bump to 1.32.

 -- Markus Lehtonen <markus.lehtonen@linux.intel.com>  Mon, 15 Sep 2014 14:23:38 +0300

pristine-tar (1.31-tizen20140520) UNRELEASED; urgency=low

  * Version bump to 1.31.

 -- Markus Lehtonen <markus.lehtonen@linux.intel.com>  Tue, 20 May 2014 12:24:28 +0300

pristine-tar (1.30-tizen20140227) unstable; urgency=low

  * Version bump to 1.30.
  * packaging: change dependency to tar.
    Require tar < 1.27 for now - the Debian PRISTINE_TAR_COMPAT patch for tar
    to cope with tar file format changes is not generally available in other
    distributions than Debian.

 -- Markus Lehtonen <markus.lehtonen@linux.intel.com>  Thu, 27 Feb 2014 10:41:32 +0200

pristine-tar (1.28-tizen20131205) unstable; urgency=low

  * Workaround for broken pristine-tar branches in Tizen
    Makes it possible to checkout tarballs from certain broken pristine-tar
    branches created with buggy versions of Tizen pristine-tar on openSUSE.
  * update packaging for new gbs release

 -- Markus Lehtonen <markus.lehtonen@linux.intel.com>  Fri, 29 Nov 2013 15:07:41 +0200

pristine-tar (1.28-2) unstable; urgency=low

  * Remove all timestamps from extended PAX headers of posix tarballs

 -- Markus Lehtonen <markus.lehtonen@linux.intel.com>  Fri, 23 Aug 2013 11:28:41 +0300

pristine-tar (1.28-1) unstable; urgency=low

  * Fixes Bug #998
    - Mangle PAX headers when using posix tar format
    - Use posix tar format by default
    - implement tar format guessing
  * change format to 3.0 (quilt)

 -- Markus Lehtonen <markus.lehtonen@linux.intel.com>  Mon, 10 Jun 2013 11:26:45 +0300

pristine-tar (1.28-0) unstable; urgency=low

  * Change to non-native: add RPM packaging files

 -- Markus Lehtonen <markus.lehtonen@linux.intel.com>  Mon, 03 Jun 2013 13:30:39 +0300
